#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xcde08900, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xce3c5ac3, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xda2058f5, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xaa135462, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x835b3ecf, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x3adbeca5, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x026ad455, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x8ea62339, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xbac646e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdca7bebb, "sk_skb_reason_drop" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa4015ea6, "cdev_init" },
	{ 0x555ed08f, "cdev_add" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x69c34ada, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x100de039, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdebddffb, "_copy_to_iter" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x5d92cb7a, "iov_iter_advance" },
	{ 0xb5bf58b, "skb_copy_datagram_iter" },
	{ 0xcda6c38c, "consume_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x61582ad2, "netdev_err" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf7067f4c, "skb_push" },
	{ 0xbb89ef05, "skb_checksum_help" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4c0fe4fc, "__skb_gso_segment" },
	{ 0x3b7e1798, "kfree_skb_list_reason" },
	{ 0x905d627f, "__skb_get_hash_net" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xbfe5c10f, "__skb_flow_dissect" },
	{ 0x1eb89f89, "skb_partial_csum_set" },
	{ 0xddd55a20, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x39b46098, "sock_alloc_send_pskb" },
	{ 0x57e41831, "skb_put" },
	{ 0xf62ebd2c, "zerocopy_sg_from_iter" },
	{ 0x669fe888, "_copy_from_iter" },
	{ 0x43eef813, "__dev_queue_xmit" },
	{ 0xd9498c18, "skb_copy_datagram_from_iter" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xc4175291, "iov_iter_npages" },
	{ 0x2c41bc32, "iov_iter_revert" },
	{ 0x4689ea79, "skb_copy_bits" },
	{ 0xdd8b5fe1, "build_skb" },
	{ 0x3761d215, "idr_find" },
	{ 0xc06a5fec, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x24c49fed, "sock_init_data_uid" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x2316b540, "dev_set_mac_address_user" },
	{ 0x6f5a339e, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x3685ad0b, "compat_ptr_ioctl" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA6EA7E067E90F8DB992743");
MODULE_INFO(rhelversion, "10.0");
