#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x84682279, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x6a365a0e, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xa11607f7, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x472414b7, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x24a41675, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9a0b145, "netlink_strict_get_check" },
	{ 0x86fa0296, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd71823ae, "__nlmsg_put" },
	{ 0x2965916a, "skb_gso_validate_network_len" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcda6c38c, "consume_skb" },
	{ 0x58b9cdf, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0x5c265759, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x33b1d0a5, "neigh_xmit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1906cdb2, "ip_route_output_flow" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xadebcfc7, "pskb_expand_head" },
	{ 0x4c5751f1, "register_pernet_subsys" },
	{ 0x5fd4c22c, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xe43f8186, "rtnl_af_register" },
	{ 0xf7160778, "__alloc_skb" },
	{ 0xed7b8867, "rtnl_set_sk_err" },
	{ 0xfc3581e6, "rtnl_unicast" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x43be292c, "nla_reserve_64bit" },
	{ 0xde1e1e2, "ip_valid_fib_dump_req" },
	{ 0x23cda3b7, "__dev_get_by_index" },
	{ 0x9ee5376c, "ipv6_stub" },
	{ 0x4ef671ba, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52ef17f5, "nla_reserve_nohdr" },
	{ 0x93a86298, "rtnl_af_unregister" },
	{ 0xdca7bebb, "sk_skb_reason_drop" },
	{ 0x9974c0b2, "dev_remove_pack" },
	{ 0x899be0e8, "dev_get_by_index" },
	{ 0xf7067f4c, "skb_push" },
	{ 0xff182e8, "nla_put" },
	{ 0xaa4fe03b, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0x6ad3782d, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x11e4b4bb, "ip_tunnel_encap_del_ops" },
	{ 0x3f28b64b, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xddd55a20, "__pskb_pull_tail" },
	{ 0x79091624, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x95ed86c6, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdd6698a3, "skb_clone" },
	{ 0x80ed2980, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xacb55c89, "dev_get_flags" },
	{ 0x70c57ff5, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "312EDCC89A1586E20BFE6E0");
MODULE_INFO(rhelversion, "10.0");
